21 de Julio de 2018

Archivo para Junio de 2013 en Ctrl+Alt+Supr, blog de Ollydbg

Jun
12

Usando LinqToTwitter para @MeriDeluxe y @MeriConsolas

Hoy revisando el "log" de @MeriDeluxe y @Mericonsolas he visto que a partir de las 00:00 en punto de la noche de hoy miércoles todos los tweets que se intentaban publicar daban un error.

Mirando en la página de desarrolladores de Twitter me he encontrado con esta noticia,  donde básicamente se dice que a partir de hoy la API v1 deja de usarse y se deberá usar la API v1.1

Hasta ahora estaba usando Twitterizer (repositorio de git hub aquí) que encapsulaba toda la REST API v1 en una librería para ser usada desde C#/VB.NET sin excesivos problemas (vamos, ningún problema).

Efectivamente, comprobando el código 'in situ' cuando se intentaba crear un nuevo tweet la respuesta origina un error indicando que la API v1 ya no esta soportada y que se migre a la API v1.1

Buscando una solución rápida y que no me implicase demasiados cambios en el código me he puesto a trastear con linq2twitter (o LINQtoTwitter como queráis) que al igual de Twitterizer es una implementación de la API v1.1 para C#/VB.NET

La página de la descarga está aquí (vía codeplex)